HardState Proof for an event or a stamp
GET
/v1/proofs/{hash}
const url = 'https://api.hardstate.net/v1/proofs/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hardstate.net/v1/proofs/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”hash
required
string
Responses
Section titled “Responses”{ proof: HardStateProof, status: queued|batched|timestamped|anchored, batch?, anchor?, receipt? }
Error
Media typeapplication/json
object
error
string
Example generated
{ "error": "example"}HardState is a Zevlat Intelligence venture. © 2026 Zevlat Intelligence.